org.omg.CORBA

## Class Bounds

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.Bounds

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class Bounds
    extends UserException

A user exception thrown when a parameter is not within the legal bounds for the object that a method is trying to access.

See Also:
  documentation on Java IDL exceptions

### Constructor Summary

Constructors
Constructor and Description
`Bounds()` Constructs an `Bounds` with no specified detail message.
`Bounds(String reason)` Constructs an `Bounds` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Bounds

    public Bounds()

Constructs an `Bounds` with no specified detail message.

#### Bounds

    public Bounds(String reason)

Constructs an `Bounds` with the specified detail message.

Parameters:
  `reason` - the detail message.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.